Skip to main content
PUT
/
api
/
v1
/
workspaces
/
{workspace_id}
/
users
/
{id}
Update Workspace User
curl --request PUT \
  --url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/workspaces/{workspace_id}/users/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role": "owner",
  "modules": [
    "architecto"
  ],
  "agent_ids": [
    "architecto"
  ]
}
'
{
  "data": {
    "id": "01kqh44dh2fnt73fc6s1d7v82d",
    "name": "Jane Smith",
    "email": "aschuster@example.com",
    "role": null,
    "is_owner": false,
    "modules": [],
    "agent_ids": []
  }
}

Documentation Index

Fetch the complete documentation index at: https://cooloquiptyltd.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

workspace_id
string
required

The ID of the workspace.

id
string
required

The ID of the user.

Body

application/json
role
enum<string>
required
Available options:
owner,
admin,
developer,
member
Example:

"owner"

modules
enum<string>[]
Available options:
agents,
knowledge_base,
phone_numbers,
call_history,
analytics
Example:
["architecto"]
agent_ids
string[]

The id of an existing record in the agents table.

Example:
["architecto"]

Response

200 - application/json
data
object